Bug 581177 - network doesn't work with qemu-kvm
network doesn't work with qemu-kvm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-10 16:54 EDT by Bill Davidsen
Modified: 2011-06-27 11:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:31:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Davidsen 2010-04-10 16:54:49 EDT
Description of problem: Starting an image from CLI doesn't produce a working network, no DHCP response


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.qemu-kvm -m 800 -hda qcow2.img -net nic
2.
3.
  
Actual results:
DHCP doesn't respond and provide an IP for the NIC

Expected results:
An IP address, able to access the greater network

Additional info: This is a standard test image.
It's based on CentOS 5.2, and boots and runs on (at least) FC6, FC9, FC10, FC11, FC12, using the qemu-kvm package and /dev/kvm device. Other than no network connection, the image boots and runs fine.

This image is not ever used with virt-lib, it has worked for years.
Comment 1 Aioanei Rares 2010-04-12 14:15:06 EDT
Try without 'net -nic' or change the driver. The Realtek driver (the default in qemu/kvm) has longstanding issues with Linux/BSD/whatever.
Comment 2 James Laska 2010-04-12 14:16:05 EDT
Greetings Bill, can you provide some information about your environment to help isolate the failure conditions?  Specifically, take a look at the Virt debugging guide (https://fedoraproject.org/wiki/How_to_debug_Virtualization_problems#Networking).
Comment 3 Bill Davidsen 2010-04-12 16:25:10 EDT
(In reply to comment #1)
> Try without 'net -nic' or change the driver. The Realtek driver (the default in
> qemu/kvm) has longstanding issues with Linux/BSD/whatever.    

Tried default, ne2k_pci, and e1000. However, the problem doesn't seem to be with the NIC but that the built-in DHCP isn't working. Also, I have local DHCP for the default MAC address (I've been running these since FC6, at least), so if the DHCP request was being passed out I think it would have been successful.
Comment 4 Bill Davidsen 2010-04-12 16:30:17 EDT
(In reply to comment #2)
> Greetings Bill, can you provide some information about your environment to help
> isolate the failure conditions?  Specifically, take a look at the Virt
> debugging guide
> (https://fedoraproject.org/wiki/How_to_debug_Virtualization_problems#Networking).    

As noted, this has been working in just this very way for FC{6,9,10,11,12}, so having it stop working indicates a significant change. I will be further isolating the problem, but my initial read is that the DHCP server isn't working, because the arp cache is empty, no packets seen from any other machine, no response to arpping.

More information as I get it, but neither the user nor the disk image are new or untested.
Comment 5 Bill Davidsen 2010-04-12 17:18:07 EDT
More info. An FC9 image works as expected on FC13, only the CentOS-5.2 image fails to get an IP. If I start with the default (no nic specified) I get an RTL-8029 and the 8139too driver 0.9.27. If I ask for ne2k_pci, I see in dmesg that the ne2k-pci v1.0.3 driver is loaded, but then the RTL-8029 driver is loaded, and lspci shows the RealTek card on IRQ 11, and no ne2k-pci.

Ran out of time to test the e1000, and I suspect that's too new to be supported in 5.2 anyway. Since I have no network I can't easily save the dmesg output, although they are in files. I can probably find a way, but perhaps someone has an old 5.2 image they can boot to investigate.
Comment 6 Bill Davidsen 2010-04-20 17:58:03 EDT
This behavior may be related to RHEL, I see it on 5.2 and 5.4, but an XP guest seems to work and get an IP from DHCP just fine.
Comment 7 Bill Davidsen 2010-05-07 11:16:41 EDT
Just retested with upgrades as of this morning, 2.6.33.3-85.fc13.x86_64 kernel, qemu 2:0.12.3-8.fc13 and now no DHCP response with any image. I have tried this fc9 image on fc9, 10, 11, and 12, and it works on all of them. Starting servers from cli has been part of our production usage since at least FC6, this is a major regression in functionality.

Conversion to virt_lib isn't practical, the cli parameters are determined at runtime by scripts in some cases.

Simple cli: qemu-kvm -m 512 -hda fc9-wk.img -net nic
Comment 8 Bill Davidsen 2010-05-10 00:20:06 EDT
(In reply to comment #2)
> Greetings Bill, can you provide some information about your environment to help
> isolate the failure conditions?  Specifically, take a look at the Virt
> debugging guide
> (https://fedoraproject.org/wiki/How_to_debug_Virtualization_problems#Networking).    

The guide referenced seems to refer to virsh operation, I'm using kvm (qemu-kvm) to eliminate the hypervisor as a cause (and because my setup predates virt_lib and appears still valid.
Comment 9 Bill Davidsen 2010-05-10 00:24:45 EDT
Given that this is working as a user without -net options for essentially client machines, and with both "-net nic" and "-net tap" specified as root, I think the "-net nic" case is probably not of great interest, I tested it just to be complete.

I'd like to understand why this happens, but my servers all go through the tap, have a magic MAC address to offer to my DHCP server, and run on a static IP. Therefore this doesn't prevent end user or server operation.
Comment 10 Bug Zapper 2011-06-02 11:30:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 11:31:03 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.